QGIS Application - Bug report #20586
gdal buildvrt missing an important param
2018-11-22 08:15 AM - Paolo Cavallini

Status: Closed

Priority: High

Assignee: Alexander Bruy

Category: Processing/GDAL

Affected QGIS version:3.4.1 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 28406
Description

in QGIS 3, the new (non gdal tools) build virtual raster command is apparently missing an important param:

‘-srcnodata value [value...]

Without this, eventual white collars surrounding a raster will mask other ones. In these frequent cases, the command is essentially

useless.

Associated revisions

Revision dc2b29ce - 2019-01-22 07:17 AM - Alexander Bruy

[processing] add missed "srcnodata" parameter to the buildvrt algorithm
(fix #20586).

Without this parameter it is not possible to remove collars surrounding

input raster which may overlap with other input rasters. As this is very

frequent case algorithm is useless without such parameter. To keep API

compatibility new parameter is optional and not used by default.

Revision 8c24fa84 - 2019-01-22 10:37 AM - Alexander Bruy

Merge pull request #8927 from alexbruy/processing-vrt

[processing][needs-docs] add missed "srcnodata” parameter to the buildvrt algorithm (fix #20586)

Revision 42b2bc79 - 2019-01-22 10:39 AM - Alexander Bruy

[processing] add missed "srcnodata" parameter to the buildvrt algorithm
(fix #20586).

Without this parameter it is not possible to remove collars surrounding
input raster which may overlap with other input rasters. As this is very
frequent case algorithm is useless without such parameter. To keep API

compatibility new parameter is optional and not used by default.

(cherry picked from commit dc2b29ce6a0c8146bff403db4bb2f2d64ccaf54d)
History

#1 - 2018-11-22 08:18 AM - Giovanni Manghi
- Regression? changed from No to Yes

- Priority changed from Normal to High

- Assignee set to Giovanni Manghi

#2 - 2018-12-04 04:59 PM - Juan Manuel Perez

The same issue stands for gdal:warpreproject, as reported in #20721

#3 - 2019-01-21 06:04 PM - Alexander Bruy

- Assignee changed from Giovanni Manghi to Alexander Bruy
- Pull Request or Patch supplied changed from No to Yes

PR https://github.com/qgis/QGIS/pull/8927

#4 - 2019-01-22 10:36 AM - Alexander Bruy
- Status changed from Open to Closed
- % Done changed from 0 to 100

Applied in changeset commit:qgis|dc2b29ce6a0c8146bff403db4bb2f2d64ccaf54d.

#5 - 2019-01-22 10:47 AM - Alexander Bruy
- Resolution set to fixed/implemented
